PHP is one of the most commonly used interpreted programming languages. It’s extremely popular since it’s free software, which can be used to create responsive sites such as social networking websites, online shopping portals or online learning sites as opposed to static HTML-based websites. A PHP module must be present on the server where a PHP-driven site is hosted so that its code can be read. Because there aren’t any license charges for this type of module and the language itself offers endless options for the apps that you build, there are 100s of millions of PHP-powered websites. In addition, there are lots of PHP scripts, which you can use for your websites without having to possess any coding capabilities. Considering the fact that there’re a couple of PHP versions, you ought to check if the same exact version that you used while building your site is activated on the web server as well.

PHP 4 and PHP 5 Support in Shared Hosting

Our shared hosting servers support several PHP versions, which suggests that your sites will work properly even if your PHP-based scripts are out of date. We recognize the fact that an old website does not necessarily equal a vulnerable one as you may have performed lots of source code modifications. That’s why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can choose which one will be active for your web hosting account. You can change the version with only one click from your Hepsia Control Panel and the new settings will be applied instantaneously. If you’d like to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domains simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

In case you have a site created using a previous version of PHP and you have devoted time and effort toward setting it up, plugging security loopholes and inserting page content, you will need to find a web hosting service that can support it, since almost all hosting suppliers nowadays offer support only for the most recent PHP version and drop the previous versions. We, on the other hand, have decided to allow you to select the version that your websites need. Our Linux semi-dedicated hosting support multiple versions of PHP 5 and PHP 4, which implies that you will be able to use both older and newer scripts without losing any customizations or misspending time and effort attempting to make your websites compatible with the hosting platform. You can change the version through the Hepsia Control Panel and such a change will apply to the whole semi-dedicated server account, but you will also have the ability to select a different version for each single website hosted in your account by means of an .htaccess configuration file.